%define upstream_name    Process-Async
%define upstream_version 0.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Handle async background process
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Process/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Future)
BuildRequires: perl(IO::Async)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(curry)
BuildRequires: perl(parent)
BuildArch: noarch

%description
Provides a thin wrapper around the IO::Async::Process manpage. See the
examples directory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README META.json SIGNATURE INSTALL LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.3.0-5.mga9
+ Revision: 1817349
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3.0-4.mga8
+ Revision: 1496947
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.3.0-3.mga7
+ Revision: 1270879
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-2.mga6
+ Revision: 1032697
- Rebuild for perl 5.22.2

* Wed Dec 16 2015 shlomif <shlomif> 0.3.0-1.mga6
+ Revision: 911149
- Importing from cpan2pkg


* Wed Dec 16 2015 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
